Linux kernel 3.2.27

I have compiled the Linux kernel 3.2.27 in Precise Puppy, to be used in the next release (beta3).

PETs (for Woof usage only) (23.2MB, 834KB):

The sources, including a kernel SFS file, are here:
Us#er#na#me#: pu#pp#y Pa#ss#wo#rd#: li#nu#x

Posted on 20 Aug 2012, 20:50


Posted on 20 Aug 2012, 22:24 by pemasu
Heh. I did the same using your DOTconfig 3.2.18-pae as base. I added those missing dvb tuner drivers though. About 3 drivers were unticked and there was request for one of them. The kernel is now in Precise 5.3, created by oldyeller. I suppose the kernel is otherwise basically the same.

Posted on 21 Aug 2012, 8:38 by BarryK
3.2.27 config
I left it mostly the same as DOTconfig-3.2.18, except that I enabled "POSIX access control lists" support for ext2, ext3 and ext4 -- I am interested in experimenting with this.

There was one driver that I enabled, but can't recall what.

Posted on 21 Aug 2012, 17:07 by Terryphi
So is Racy on the back-burner?

Posted on 21 Aug 2012, 17:08 by Terryphi
So is Racy on the back-burner?

Posted on 21 Aug 2012, 18:21 by BarryK
Re Racy
There will be another Wary/Racy soon, probably.

I have moved onto building Precise Puppy for now, due to the work I have done on package categories, which, to fully utilise needs to have the Puppy-format pkg db entries generated in Woof.
Wary/Racy is PET-based, that is, built entirely from PET packages, for which we already have the Puppy-format db entries.

Posted on 22 Aug 2012, 5:05 by GCMartin
Thanks BarryK. Nice to see all of these advance in the approximate same timeframe. Thanks

Pemasu's kernel ticks as well as yours should produce a great user experience.

Thanks for all you do.

Posted on 22 Aug 2012, 9:17 by vicmz
Precise beta3 vs. Precise 5.3
I'm a bit confused. I maintain a forum page in Spanish where langpack_es is offered along with versions of Puppy that are translatable with the language pack. Which should I post as oficial build, Precise beta3 or Precise 5.3?

Posted on 22 Aug 2012, 23:05 by BarryK
Re Precise 5.3
I have no control over what people post in the Forum.

I also noted the word "official" being used somewhere inappropriate in the Forum, don't recall exactly.

There is no official Precise 5.3.